Issue 6760

Title
Remove CompanyReport by single report
Priority
feature
Status
resolved
Superseder
Include closed assets in depreciation report (issue 10041)
Nosy list
ced, pokoli, reviewbot, roundup-bot, timitos
Assigned to
ced
Keywords
review

Created on 2017-09-12.13:11:40 by ced, last changed 19 months ago by roundup-bot.

Messages

New changeset 8ce55866cc14 by Cédric Krier in branch 'default':
Add header grouping on email reset password report
https://hg.tryton.org/tryton-env/rev/8ce55866cc14
New changeset 5a852119fe53 by Cédric Krier in branch 'default':
Add header grouping on email reset password report
https://hg.tryton.org/trytond/rev/5a852119fe53
New changeset 265351e97f59 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/tryton-env/rev/265351e97f59
New changeset 6ba761d46c97 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/trytond/rev/6ba761d46c97
New changeset 70dd85948ff1 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/web_user/rev/70dd85948ff1
New changeset 282f43796b8b by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/sale/rev/282f43796b8b
New changeset 801ddd850a11 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/purchase_request_quotation/rev/801ddd850a11
New changeset 78c546154050 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/purchase/rev/78c546154050
New changeset 21d705c3aa91 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/marketing_email/rev/21d705c3aa91
New changeset 2ba374e78685 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/company/rev/2ba374e78685
New changeset 1359075b3390 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/account_invoice/rev/1359075b3390
New changeset 0f48379a7dcf by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/account_es/rev/0f48379a7dcf
New changeset 55984b3a252a by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/account_dunning_letter/rev/55984b3a252a
New changeset a53edd784223 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/account_asset/rev/a53edd784223
New changeset 03b0175f1598 by Cédric Krier in branch 'default':
Add header grouping on report
https://hg.tryton.org/modules/account/rev/03b0175f1598
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-01-31.19:57:15
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-01-31.19:55:19

I have a better idea that allows to keep CompanyReport and does not need to modify all the reports.
The idea is to group the records of the report per headers. If there are more than 1 header, then template is execute for the records of the same header and put in a zip (like for the single report). The headers are defined by a key function on the Report class that can be extended. The CompanyReport extends it to group by company attribute of the record and add the company record to the context.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2018-05-23.10:45:05
On 2018-05-18 14:50, Sergi Almacellas Abellana wrote:
> 1. The asset report prints all the depreciation lines between to dates so instead of marking it as single I think we should ask the company on the wizard that generates it and use this value on the report context.

I agree.

> 2. The account_dunning_letter groups all lines for party but it does not take in account the company. Not sure what to do with this report. Probably it should be totally reworked to group also by company and print a letter for each company the party has dunning opened. 

I agree the dunnings should be grouped by company and the pending
payments should also be by company.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2018-05-18.14:50:49
Here is review45141002 which replaces most of the reports. There are still account_asset report and account_dunning_letter which I want to discuss:

1. The asset report prints all the depreciation lines between to dates so instead of marking it as single I think we should ask the company on the wizard that generates it and use this value on the report context.

2. The account_dunning_letter groups all lines for party but it does not take in account the company. Not sure what to do with this report. Probably it should be totally reworked to group also by company and print a letter for each company the party has dunning opened. 

Any comments will be very welcome.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2017-09-12.13:11:39
Since issue6640, we have the single report option. Most of the CompanyReport (maybe all) use the user company to print on the report. But most of the time, like for sale, the company is defined on the record. It must be this company that is used to ensure coherence.
History
Date User Action Args
2021-02-21 22:25:18roundup-botsetmessages: + msg64768
2021-02-21 22:25:05roundup-botsetmessages: + msg64766
2021-02-21 19:20:59roundup-botsetmessages: + msg64754
2021-02-21 19:20:55roundup-botsetmessages: + msg64753
2021-02-21 19:20:51roundup-botsetmessages: + msg64752
2021-02-21 19:20:47roundup-botsetmessages: + msg64751
2021-02-21 19:20:41roundup-botsetmessages: + msg64750
2021-02-21 19:20:28roundup-botsetmessages: + msg64749
2021-02-21 19:20:23roundup-botsetmessages: + msg64748
2021-02-21 19:20:14roundup-botsetmessages: + msg64747

Showing 10 items. Show all history (warning: this could be VERY long)